You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     m...@freebsd.org
Last committer: ko...@freebsd.org
Ident:          $FreeBSD: head/multimedia/libav/Makefile 329667 2013-10-07 
09:21:13Z koobs $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-10-17_19h54m49s/logs/libav-9.9_2.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-10-17_19h54m49s
Log:

====>> Building multimedia/libav
build started at Fri Oct 18 09:13:47 UTC 2013
port directory: /usr/ports/multimedia/libav
building for: FreeBSD head-i386-default-job-18 11.0-CURRENT FreeBSD 
11.0-CURRENT r256430 i386
maintained by: m...@freebsd.org
Makefile ident:      $FreeBSD: head/multimedia/libav/Makefile 329667 2013-10-07 
09:21:13Z koobs $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=1100000
UNAME_v=FreeBSD 11.0-CURRENT r256430
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-i386-default/ref
PKG_EXT=txz
tpid=11880
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=libav-9.9_2
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=head-i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for libav-9.9_2:
     ALSA=off: ALSA audio architecture support
     AMR_NB=off: AMR Narrow Band audio support (opencore)
     AMR_WB=off: AMR Wide Band audio support (opencore)
     BZIP2=on: bzip2 compression support
     CDIO=off: CDIO support via libcdio
     FAAC=off: FAAC AAC encoder support
     FDK_AAC=off: AAC audio encoding via Fraunhofer FDK
     FREETYPE=on: TrueType font rendering support
     FREI0R=on: Frei0r video plugins support
     GNUTLS=on: SSL/TLS support via GnuTLS
     GSM=off: GSM codec support
     ILBC=off: iLBC en/decoding via libilbc
     JACK=off: JACK audio server support
     LAME=off: LAME MP3 audio encoder support
     OPENCV=on: OpenCV support
     OPENJPEG=off: Enhanced JPEG graphics support
     OPENSSL=off: SSL/TLS support via OpenSSL
     OPUS=off: Opus decoding with libopus
     PULSEAUDIO=off: PulseAudio sound server support
     RTMP=off: RTMP protocol support via librtmp
     SCHROEDINGER=on: Dirac codec support via libschroedinger
     SPEEX=off: Speex audio format support
     THEORA=on: Ogg Theora video codec support
     V4L2=off
     VAAPI=off: VAAPI (GPU video acceleration) support
     VDPAU=off: VDPAU (GPU video acceleration) support
     VORBIS=off: Ogg Vorbis audio codec support
     VO_AACENC=off: AAC audio encoding via vo-aacenc
     VO_AMRWBENC=off: AMR Wide Band encoding via vo-amrwbenc
     VPX=on: VP8 video codec support
     X264=on: H.264 video codec support via x264
     XVID=on: Xvid MPEG-4 video codec support
     ZLIB=off: zlib compression support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix="/usr/local"  --mandir="/usr/local/man"  
--datadir="/usr/local/share/libav"  --enable-pthreads  --enable-shared  
--enable-runtime-cpudetect  --disable-avserver --disable-indev=alsa 
--disable-outdev=alsa --disable-libopencore-amrnb --disable-libopencore-amrwb 
--enable-bzlib --disable-libcdio --disable-libfaac --disable-libfdk-aac 
--enable-libfreetype --enable-frei0r --enable-gnutls --disable-libgsm 
--disable-libilbc --disable-indev=jack --disable-libmp3lame --enable-libopencv 
--disable-libopenjpeg --disable-openssl --disable-libopus --disable-libpulse 
--disable-librtmp --enable-libschroedinger --disable-libspeex 
--enable-libtheora --disable-indev=v4l2 --disable-vaapi --disable-vdpau 
--disable-libvorbis --disable-libvo-aacenc --disable-libvo-amrwbenc 
--enable-libvpx --enable-libx264 --enable-libxvid --disable-zlib 
--disable-avplay --enable-gpl
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" PKG_CONFIG=pkgconf MAKE=gmake TMPDIR="/tmp" 
SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe -fno-strict-aliasing"  CPP="cpp" CPPFLAGS="-I/usr/local/include"  
LDFLAGS=" -L/usr/local/lib"  CXX="c++" CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444" 
 BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/libav
DOCSDIR=/usr/local/share/doc/libav
EXAMPLESDIR=/usr/local/share/examples/libav
WWWDIR=/usr/local/www/libav
ETCDIR=/usr/local/etc/libav
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for libav-9.9_2
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   libav-9.9_2 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of libav-9.9_2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by libav-9.9_2 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by libav-9.9_2 for building
=> SHA256 Checksum OK for libav-9.9.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by libav-9.9_2 for building
===>  Extracting for libav-9.9_2
=> SHA256 Checksum OK for libav-9.9.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for libav-9.9_2
/usr/bin/sed -i.bak -e 's|$(LIBDIR)/pkgconfig|/usr/local/libdata/pkgconfig|'  
/wrkdirs/usr/ports/multimedia/libav/work/libav-9.9/library.mak
===========================================================================
=======================<phase: build-depends  >============================
===>   libav-9.9_2 depends on executable: yasm - not found
===>    Verifying install for yasm in /usr/ports/devel/yasm
===>   Installing existing package /packages/All/yasm-1.2.0.txz
Installing yasm-1.2.0...Installing gettext-0.18.3.1... done
 done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on executable: texi2html - not found
===>    Verifying install for texi2html in /usr/ports/textproc/texi2html
===>   Installing existing package /packages/All/texi2html-5.0_1,1.txz
Installing texi2html-5.0_1,1...Installing perl-5.14.4_2...Removing 
/usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl5
Done.
 done
 done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on file: /usr/local/include/frei0r.h - not found
===>    Verifying install for /usr/local/include/frei0r.h in 
/usr/ports/graphics/frei0r
===>   Installing existing package /packages/All/frei0r-1.3_1.txz
Installing frei0r-1.3_1... done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on executable: pkgconf - not found
===>    Verifying install for pkgconf in /usr/ports/devel/pkgconf
===>   Installing existing package /packages/All/pkgconf-0.9.3.txz
Installing pkgconf-0.9.3... done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1... done
===>   Returning to build of libav-9.9_2
===========================================================================
=======================<phase: lib-depends    >============================
===>   libav-9.9_2 depends on shared library: freetype - not found
===>    Verifying install for freetype in /usr/ports/print/freetype2
===>   Installing existing package /packages/All/freetype2-2.5.0.1.txz
Installing freetype2-2.5.0.1... done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on shared library: gnutls - not found
===>    Verifying install for gnutls in /usr/ports/security/gnutls
===>   Installing existing package /packages/All/gnutls-2.12.23_1.txz
Installing gnutls-2.12.23_1...Installing p11-kit-0.16.3...Installing 
libtasn1-2.14... done
Installing ca_root_nss-3.15.1_1... done
 done
Installing nettle-2.7.1...Installing gmp-5.1.3... done
 done
Installing libgpg-error-1.12... done
 done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on shared library: opencv_imgproc - not found
===>    Verifying install for opencv_imgproc in /usr/ports/graphics/opencv-core
===>   Installing existing package /packages/All/opencv-core-2.3.1_7.txz
Installing opencv-core-2.3.1_7... done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on shared library: opencv_gpu - not found
===>    Verifying install for opencv_gpu in /usr/ports/graphics/opencv
===>   Installing existing package /packages/All/opencv-2.3.1_7.txz
Installing opencv-2.3.1_7...Installing libv4l-0.8.8_1...Installing jpeg-8_4... 
done
 done
Installing tiff-4.0.3...Installing jbigkit-1.6... done
 done
Installing png-1.5.17... done
Installing jasper-1.900.1_12... done
 done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on shared library: schroedinger-1.0.11 - not found
===>    Verifying install for schroedinger-1.0.11 in 
/usr/ports/multimedia/schroedinger
===>   Installing existing package /packages/All/schroedinger-1.0.11_1.txz
Installing schroedinger-1.0.11_1...Installing orc-0.4.18... done
 done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on shared library: theora - not found
===>    Verifying install for theora in /usr/ports/multimedia/libtheora
===>   Installing existing package /packages/All/libtheora-1.1.1_3.txz
Installing libtheora-1.1.1_3...Installing libogg-1.3.1,4... done
Installing libvorbis-1.3.3_1,3... done
 done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on shared library: vpx - not found
===>    Verifying install for vpx in /usr/ports/multimedia/libvpx
===>   Installing existing package /packages/All/libvpx-1.1.0.txz
Installing libvpx-1.1.0... done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on shared library: x264 - not found
===>    Verifying install for x264 in /usr/ports/multimedia/x264
===>   Installing existing package /packages/All/x264-0.136.2358.txz
Installing x264-0.136.2358...Installing gpac-libgpac-0.4.5_6,1... done
 done
===>   Returning to build of libav-9.9_2
===>   libav-9.9_2 depends on shared library: xvidcore - not found
===>    Verifying install for xvidcore in /usr/ports/multimedia/xvid
===>   Installing existing package /packages/All/xvid-1.3.2,1.txz
Installing xvid-1.3.2,1... done
===>   Returning to build of libav-9.9_2
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for libav-9.9_2
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/multimedia/libav/work/libav-9.9/configure
gcc is unable to create an executable file.
If gcc is a cross-compiler, use the --enable-cross-compile option.
Only do this if you know what cross compiling means.
C compiler test failed.

If you think configure made a mistake, make sure you are using the latest
version from Git.  If the latest version fails, report the problem to the
libav-u...@libav.org mailing list or IRC #libav on irc.freenode.net.
Include the log file "config.log" produced by configure as this will help
solving the problem.
===>  Script "configure" failed unexpectedly.
Please report the problem to m...@freebsd.org [maintainer] and attach the
"/wrkdirs/usr/ports/multimedia/libav/work/libav-9.9/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/multimedia/libav
===>  Cleaning for libav-9.9_2
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to